Bug 226017 - Run webkitpy integration tests under pytest by default
Summary: Run webkitpy integration tests under pytest by default
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Sam Sneddon [:gsnedders]
URL:
Keywords: InRadar
Depends on:
Blocks: 224638
  Show dependency treegraph
 
Reported: 2021-05-20 06:55 PDT by Sam Sneddon [:gsnedders]
Modified: 2021-05-25 13:29 PDT (History)
4 users (show)

See Also:


Attachments
Patch (26.23 KB, patch)
2021-05-20 07:01 PDT, Sam Sneddon [:gsnedders]
no flags Details | Formatted Diff | Diff
Patch (26.25 KB, patch)
2021-05-20 10:06 PDT, Sam Sneddon [:gsnedders]
no flags Details | Formatted Diff | Diff
Patch (26.25 KB, patch)
2021-05-25 12:29 PDT, Sam Sneddon [:gsnedders]
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sam Sneddon [:gsnedders] 2021-05-20 06:55:23 PDT
To do this, we need to make sure we have everything marked as xfail where appropriate.
Comment 1 Sam Sneddon [:gsnedders] 2021-05-20 07:01:49 PDT
Created attachment 429166 [details]
Patch
Comment 2 Jonathan Bedard 2021-05-20 07:25:05 PDT
Looks like webkitpy.tool.steps.haslanded_unittest.HasLandedTest.test_run is failing in Python 2 with this change.
Comment 3 Sam Sneddon [:gsnedders] 2021-05-20 10:06:24 PDT
Created attachment 429183 [details]
Patch
Comment 4 Jonathan Bedard 2021-05-21 08:27:20 PDT
Comment on attachment 429183 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=429183&action=review

> Tools/Scripts/webkitpy/tool/steps/haslanded_unittest.py:40
> +    # @unittest.skipUnless(subprocess.call('which interdiff', shell=True, stdout=subprocess.PIPE, stderr=subprocess.PIPE) == 0, "requires interdiff")

Can we put a FIXME here with a bug so we don't forget that this is a problem?
Comment 5 Sam Sneddon [:gsnedders] 2021-05-25 12:29:58 PDT
Created attachment 429676 [details]
Patch
Comment 6 EWS 2021-05-25 13:28:05 PDT
Committed r278040 (238132@main): <https://commits.webkit.org/238132@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 429676 [details].
Comment 7 Radar WebKit Bug Importer 2021-05-25 13:29:24 PDT
<rdar://problem/78473261>